Bug 510981 - gdm stack trace after drm Resetting GPU
gdm stack trace after drm Resetting GPU
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-12 22:36 EDT by Nivag
Modified: 2015-01-14 18:23 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 09:36:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
selected excerpts showing gdm/drm/GPU linkage (13.38 KB, text/plain)
2009-07-12 22:36 EDT, Nivag
no flags Details
full messages log (2.08 MB, text/plain)
2009-07-12 22:40 EDT, Nivag
no flags Details
xorg log (127.97 KB, text/plain)
2009-07-12 22:51 EDT, Nivag
no flags Details

  None (edit)
Description Nivag 2009-07-12 22:36:27 EDT
Created attachment 351416 [details]
selected excerpts showing gdm/drm/GPU linkage

Description of problem:
The problem that caused me to look at the messages log, was that sometimes the dialogue to allow one to select a userid was a blank white rectangle, this has happened at least 3 times.

I noticed that there were 9 stacktraces for gdm, always proceeded by 
    "kernel: [drm] Resetting GPU"
and in 8 of them had references to "pulseaudio" and "waitpid"
    "gdm[17958]:     at ../sysdeps/unix/sysv/linux/waitpid.c:41"


I will attach selected excerpts ffrom the messages log around these incidents, and then the full log.

Version-Release number of selected component (if applicable):
$ grep alsa saturn-20090713a | grep yum
Jul  7 11:58:19 saturn yum: Installed: alsa-lib-devel-1.0.20-1.fc11.x86_64
Jul  9 00:12:33 saturn yum: Installed: alsa-lib-1.0.20-1.fc11.i586
Jul 10 15:52:00 saturn yum: Installed: alsa-lib-debuginfo-1.0.20-1.fc11.x86_64
Jul 12 09:15:04 saturn yum: Updated: alsa-plugins-pulseaudio-1.0.20-2.fc11.x86_64
$ grep drm saturn-20090713a | grep yum
Jul  7 11:58:24 saturn yum: Installed: libdrm-devel-2.4.6-7.fc11.x86_64
Jul  9 00:12:39 saturn yum: Installed: libdrm-2.4.6-7.fc11.i586
Jul  9 08:44:25 saturn yum: Installed: libdrm-debuginfo-2.4.6-7.fc11.x86_64
$ grep gdm saturn-20090713a | grep yum
Jul  9 09:03:21 saturn yum: Installed: 1:gdm-debuginfo-2.26.1-10.fc11.x86_64
$ grep pulse saturn-20090713a | grep yum
Jul  9 00:13:18 saturn yum: Installed: pulseaudio-libs-0.9.15-14.fc11.i586
Jul  9 00:13:20 saturn yum: Installed: wine-pulseaudio-1.1.23-1.fc11.i586
Jul  9 20:23:12 saturn yum: Installed: pulseaudio-debuginfo-0.9.15-14.fc11.x86_64
Jul 10 09:01:20 saturn yum: Erased: pulseaudio-module-bluetooth
Jul 12 09:15:04 saturn yum: Updated: alsa-plugins-pulseaudio-1.0.20-2.fc11.x86_64
Jan 12 12:29:52 saturn yum: Updated: pulseaudio-libs-0.9.15-14.fc11.x86_64
Jan 12 12:30:28 saturn yum: Updated: pulseaudio-0.9.15-14.fc11.x86_64
Jan 12 12:31:20 saturn yum: Updated: pulseaudio-libs-glib2-0.9.15-14.fc11.x86_64
Jan 12 12:32:13 saturn yum: Updated: pulseaudio-module-bluetooth-0.9.15-14.fc11.x86_64
Jan 12 12:32:14 saturn yum: Updated: pulseaudio-utils-0.9.15-14.fc11.x86_64
Jan 12 12:32:20 saturn yum: Updated: pulseaudio-module-x11-0.9.15-14.fc11.x86_64
Jan 12 12:33:49 saturn yum: Updated: pulseaudio-module-gconf-0.9.15-14.fc11.x86_64


How reproducible:
?

Steps to Reproduce:
1. ?
2.
3.
  
Actual results:
stack traces

Expected results:
no stack traces

Additional info:
# uname -a
Linux saturn 2.6.29.5-191.fc11.x86_64.debug #1 SMP Tue Jun 16 23:09:06 EDT 2009
x86_64 x86_64 x86_64 GNU/Linux

up to date Fedora 11 install
AMD 810 quad core 64 bit
8 GB DDR3 RAM
5 * 500GB in software RAID-6 configuration
ASUS M4A78T-E motherboard
Comment 1 Nivag 2009-07-12 22:40:02 EDT
Created attachment 351417 [details]
full messages log

Note machine was first 'successfully' installed with Fedora 11 on Monday the 6th, so the messages log is for the entire 'life' of the machine!
Comment 2 Nivag 2009-07-12 22:51:36 EDT
Created attachment 351419 [details]
xorg log
Comment 3 Nivag 2009-08-07 19:17:18 EDT
I suspect that either one or both the subsequent yum updates and disabling SidePort has resolved the problem.

As I have had no further problems of this type since disabling SidePort and
switching to UMA in the BIOS.

see bug 504427 Comment #7 ... #10
Comment 4 Bug Zapper 2010-04-27 11:38:53 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2010-06-28 09:36:15 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.